#
# __init__.py
#
# Created by Nguyen Quang Duy on Sat Dec 16 2023
#

from .face_service.face_detection_service import FaceDetectionService
from .face_service.face_recognition_service import FaceRecognitionService
from .face_service.face_verification_service import FaceVerificationService
from .face_service.face_verify_service import FaceVerifyService

from .product_service.product_detection_service import ProductDetectionService
from .product_service.product_recognition_service import ProductRecognitionService
from .product_service.product_verification_service import ProductVerificationService
from .product_service.product_verify_service import ProductVerifyService
from .product_service.product_count_service import ProductCountService

from .water_meter_service import WaterMeterService
from .power_meter_service import PowerMeterService
from .image_tagging_service import ImageTaggingService
from .ocr_service import OCRService
from .ppe_service import PPEService
from .planogram_service import PlanogramService