#
# delete_all_subjects.py
#
# Created by Nguyen Quang Duy on Mon Dec 18 2023
#

from dataclasses import dataclass
from deepvision.client import FaceClient


class DeleteAllSubjects:

    @dataclass
    class Request:
        pass

    def __init__(self, domain: str, port: str, api_key: str):
        self.face: FaceService = FaceService(api_key=api_key,
                                             domain=domain,
                                             port=port)

    def execute(self, collection_name: str) -> dict:
        result: dict = self.face.remove_all_subject(collection_name)
        return result
