#
# delete_all_subjects.py
#
# Created by Nguyen Quang Duy on Mon Dec 18 2023
#

from dataclasses import dataclass
from deepvision.client.product import ProductClient


class DeleteAllProducts:

    @dataclass
    class Request:
        pass

    def __init__(self, domain: str, port: str, api_key: str):
        self.product: ProductClient = ProductClient(
            api_key=api_key,
            domain=domain,
            port=port,
            options={}
        )

    def execute(self, collection_name: str) -> dict:
        result: dict = self.product.remove_all_product(collection_name)
        return result
