#
# verify.py
#
# Created by Nguyen Quang Duy on Wed Dec 20 2023
#

from scipy.spatial.distance import cdist
import numpy as np

def distance_cal(embedding_check, know_embedding):
    distances = cdist(embedding_check, know_embedding, 'cosine')
    return distances

def verify(know_embedding, embedding_check, threshsold=0.5):
    distances = distance_cal(embedding_check, know_embedding)
    distances = np.array(distances)
    mask = distances < threshsold
    if True in mask:
        return "True", distances
    else:
        return "False", distances