#
# schemas.py
#
# Created by Nguyen Quang Duy on Mon Dec 18 2023
#

from pydantic import BaseModel

class SubjectDict(BaseModel):
    collection: str
    image_id: list
    subject_id: str
    subject_name: str

class ProductDict(BaseModel):
    collection: str
    image_id: list
    product_id: str
    product_name: str

class SubjectExampleDict(BaseModel):
    collection: str
    image_id: str
    subject_id: str
    subject_name: str

class ProductExampleDict(BaseModel):
    collection: str
    image_id: str
    product_id: str
    product_name: str